<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Total Salary Employee</title>
</head>
<body>

<section layout:fragment="breadcrumb" class="content-header">
    <h1>
        Total Salary
        <small>List Data</small>
    </h1>
    <ol class="breadcrumb">
        <li class="treeview active"> Reports</li>
        <li class="active"> Total Salary</li>
    </ol>
</section>

<section layout:fragment="main" class="content">

    <div class="row">
        <div class="col-md-12">
            <div class="box">
                <div class="box-header">
                    <h3 class="box-title">List Total Component Payroll On This Year</h3>
                </div>
                <!-- /.box-header -->
                <div class="box-body">
                    <table id="example1" class="table table-bordered table-striped">
                        <thead>
                        <tr>
                            <th rowspan="2">#</th>
                            <th rowspan="2">Code</th>
                            <th rowspan="2">Name</th>
                            <th rowspan="2">Branch</th>
                            <th colspan="11" style="alignment: center">Total</th>
                        </tr>
                        <tr>
                            <th>Bassic_Salary</th>
                            <th>Allowance</th>
                            <th>Benefits</th>
                            <th>Deductions</th>
                            <th>Zakat</th>
                            <th>Infaq</th>
                            <th>Tax</th>
                            <th>Late</th>
                            <th>Abstain</th>
                            <th>Loan</th>
                            <th>THP</th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr th:each="dataTotalSalaryEmployee,row : ${listTotalSalaryEmployes}">
                            <td th:text="${row.index + 1}">#</td>
                            <td th:text="${dataTotalSalaryEmployee.getNumber()}">Code</td>
                            <td th:text="${dataTotalSalaryEmployee.getFullName()}">Name</td>
                            <td th:text="${dataTotalSalaryEmployee.getCompanyName()}">Branch</td>
                            <td align="right" th:text="${#numbers.formatDecimal(dataTotalSalaryEmployee.getTotalGajiPokok(), 0, 'POINT', 2, 'COMMA')}">Bassic_Salary</td>
                            <td align="right" th:text="${#numbers.formatDecimal(dataTotalSalaryEmployee.getTotalAllowance(), 0, 'POINT', 2, 'COMMA')}">Allowance</td>
                            <td align="right" th:text="${#numbers.formatDecimal(dataTotalSalaryEmployee.getTotalBenefits(), 0, 'POINT', 2, 'COMMA')}">Benefits</td>
                            <td align="right" th:text="${#numbers.formatDecimal(dataTotalSalaryEmployee.getTotalDeductions(), 0, 'POINT', 2, 'COMMA')}">Deductions</td>
                            <td align="right" th:text="${#numbers.formatDecimal(dataTotalSalaryEmployee.getTotalZakat(), 0, 'POINT', 2, 'COMMA')}">Zakat</td>
                            <td align="right" th:text="${#numbers.formatDecimal(dataTotalSalaryEmployee.getTotalInfaq(), 0, 'POINT', 2, 'COMMA')}">Infaq</td>
                            <td align="right" th:text="${#numbers.formatDecimal(dataTotalSalaryEmployee.getTotalPajak(), 0, 'POINT', 2, 'COMMA')}">Tax</td>
                            <td align="right" th:text="${#numbers.formatDecimal(dataTotalSalaryEmployee.getPotonganTerlambat(), 0, 'POINT', 2, 'COMMA')}">Tax</td>
                            <td align="right" th:text="${#numbers.formatDecimal(dataTotalSalaryEmployee.getPotonganAbsen(), 0, 'POINT', 2, 'COMMA')}">Tax</td>
                            <td align="right" th:text="${#numbers.formatDecimal(dataTotalSalaryEmployee.getTotalLoan(), 0, 'POINT', 2, 'COMMA')}">Tax</td>
                            <td align="right" th:text="${#numbers.formatDecimal(dataTotalSalaryEmployee.getTakeHomePay(), 0, 'POINT', 2, 'COMMA')}">THP</td>
                        </tr>
                        </tbody>
                    </table>
                </div>
                <!-- /.box-body -->
            </div>
        </div>
    </div>
</section>
<section layout:fragment="footer" class="script">
    <script>
        $(function () {
            //Initialize Select2 Elements
            $('.select2').select2()

            //Datemask dd/mm/yyyy
            $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })
            //Datemask2 mm/dd/yyyy
            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })
            //Money Euro
            $('[data-mask]').inputmask()

            //Date range picker
            $('#reservation').daterangepicker()
            //Date range picker with time picker
            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})
            //Date range as a button
            $('#daterange-btn').daterangepicker(
                {
                    ranges   : {
                        'Today'       : [moment(), moment()],
                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],
                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],
                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
                    },
                    startDate: moment().subtract(29, 'days'),
                    endDate  : moment()
                },
                function (start, end) {
                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))
                }
            )

            //Date picker
            $('#tanggalLahir').datepicker({
                autoclose: true
            })

            //iCheck for checkbox and radio inputs
            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
                checkboxClass: 'icheckbox_minimal-blue',
                radioClass   : 'iradio_minimal-blue'
            })
            //Red color scheme for iCheck
            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
                checkboxClass: 'icheckbox_minimal-red',
                radioClass   : 'iradio_minimal-red'
            })
            //Flat red color scheme for iCheck
            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
                checkboxClass: 'icheckbox_flat-green',
                radioClass   : 'iradio_flat-green'
            })

            //Colorpicker
            $('.my-colorpicker1').colorpicker()
            //color picker with addon
            $('.my-colorpicker2').colorpicker()

            //Timepicker
            $('.timepicker').timepicker({
                showInputs: false
            })
        })
    </script>
    <script>
        $(".js-example-placeholder-single").select2({
            placeholder: "Pilih Salah Satu",
            allowClear: true
        });

        $('.simpan').click(function () {
            Swal.fire({
                position: 'top-end',
                type: 'success',
                title: 'Your work has been saved',
                showConfirmButton: false
            })
        });
    </script>

    <script>
        $(function () {
            $('#example1').DataTable()
            $('#example2').DataTable({
                'paging'      : true,
                'lengthChange': false,
                'searching'   : false,
                'ordering'    : true,
                'info'        : true,
                'autoWidth'   : false
            })
        })

        $(function() {

            var bla = $('#effectiveDateString').val();
            $('#effectiveDateString').val(bla);

        });

        (function($){
            $('#payrollComponent').select2();
            $('#payrollComponent').on('select2:selecting', function(e) {
                console.log('Selecting: ' , e.params.args.data.id);
                $('#isiPayrollComponent').val(e.params.args.data.id);
            });
        })(jQuery);

        function dtable() {

            // const url = '/api/detail/anggarandto?idAnggaran='+$('#isiPayrollComponent').val();
            window.location.href = '/payroll/update/new?payrollComponent='+$('#isiPayrollComponent').val()+'&effectiveDate='+$('#effectiveDateString').val();


        }
    </script>
</section>
</body>
</html>
